VisualEditor: Link inspector should preview the linked page (à la Navigation Popups)
Closed, ResolvedPublic

Description

Disambiguations and other oddities can mean that the first link you select in a typeahead search may not actually be right. You then have to follow the link (which is hard in edit mode) and go looking again.

Being able to get a short preview of the selected link target, similar to what Navigation Popups gadget does when hovering over links, would go miles (kilometers) towards making link selection *awesomer*.


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=59208

bzimport set Reference to bz50593.
brion created this task.Via LegacyJul 2 2013, 5:32 PM
Jdforrester-WMF added a comment.Via ConduitAug 20 2013, 6:38 PM

I'm not sure this is needed once bug 50240 is fixed, but we should re-consider it then. Also, some form of interaction that doesn't need hover would be needed for touch-screen devices, like mobile.

Amire80 added a comment.Via ConduitJun 2 2014, 8:45 AM

It probably shouldn't be the highest priority, but as an editor, I would like something like this. In fact, I'd find it far more useful than Hovercards: When I'm reading an article and want to know more about a topic to which there is a link, I usually middle-click it to open it in a new tab and read it a bit later, so I don't really need Hovercards. As I am editing, however, it would be useful for me to add a link and be more sure as to where is the link leading. Is [[Washing Machine]] leading to the article about the appliance or about the Sonic Youth album? Is [[AC/DC]] leading to an article about electrical engineering or about a band? These are real situation in which I found myself recently, and in both of them I had to open a new tab to make sure.

So I would love to see something more than just the title when I'm linking. It doesn't even have to be a full-blown Hovercard - just the first few words are likely to be enough. (Although reusing the Hovercards code makes sense, too.)

Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 4:18 PM
Jdforrester-WMF closed this task as "Resolved".Via WebMay 8 2015, 1:07 AM
Jdforrester-WMF claimed this task.

This is effectively now solved with the link image/data preview

Add Comment